Subject: Re: linux-3.0.x regression with ipv4 routes having mtu

From: Steffen Klassert <[email-masked]>
Date: Thu, 15 Dec 2011 14:49:58 +0100

On Wed, Dec 14, 2011 at 12:50:10PM -0500, David Miller wrote:
> From: Timo Teräs <[email-masked]>
> Date: Wed, 14 Dec 2011 17:54:16 +0200
> 
> > So something is does not get updated here. This used to work though.
> > The current production boxes where I know this work is 2.6.38.8.
> 
> We store the PMTU externally in inetpeer entries, Eric Dumazet
> fixed recently but that fix hasn't been submitted to -stable
> yet.
> 

I think we still have at least two problems with pmtu handling.
One is that "ip route flush cache" flushes the routing cache
but not the cached metrics on the inetpeer.

Another problem might be that we ignore the user configured
fib_metrics in rt_init_metrics() if we have a cached metric
on the inetpeer.

I'll try to look at this a bit closer tomorrow.